Bug 130810 - promise ata/100 problems with recent kernels
promise ata/100 problems with recent kernels
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Alan Cox
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-24 17:07 EDT by Dmitri A. Sergatskov
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 02:13:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages from the boot into 2.6.7 kernel through the crash (gzipped) (9.85 KB, application/octet-stream)
2004-08-24 17:20 EDT, Dmitri A. Sergatskov
no flags Details

  None (edit)
Description Dmitri A. Sergatskov 2004-08-24 17:07:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
Doing heavi i/o on the disks connected to promise ata/100 controller
causes instabilities, filesystem corruption. I cannot reproduce
the problem using either promise ata/133TX2 or Adaptec ultraATA/133
( Silicon Image, Inc. (formerly CMD Techn ology Inc) PCI0680 Ultra
ATA-133 
Host Controller (rev 02)) controller.

I have two harddisks each connected as master to first and second 
channel on Promise card. If I do backup of a large directory (~1Gig or
so) 
on one disk into  another disk after some time I get the following
errors in 
/var/log/messages:
(this is with 2.6.8 kernel. I got more verbose trace with 2.6.7, I
will attach it separately )

19:19:27 kernel: hde: dma_timer_expiry: dma status == 0x20
19:19:27 kernel: hde: DMA timeout retry
19:19:29 kernel: PDC202XX: Primary channel reset.
19:19:32 kernel: PDC202XX: Secondary channel reset.
19:19:32 kernel: hde: timeout waiting for DMA
19:19:52 kernel: hde: dma_timer_expiry: dma status == 0x20
19:19:52 kernel: hde: DMA timeout retry
19:19:54 kernel: PDC202XX: Primary channel reset.
19:19:56 kernel: PDC202XX: Secondary channel reset.
19:19:56 kernel: hde: timeout waiting for DMA
19:20:18 kernel: hde: dma_timer_expiry: dma status == 0x20
19:20:18 kernel: hde: DMA timeout retry
19:20:18 kernel: PDC202XX: Primary channel reset.
19:20:18 kernel: PDC202XX: Secondary channel reset.
19:20:18 kernel: hde: timeout waiting for DMA
19:20:18 kernel: psmouse.c: Mouse at isa0060/serio1/input0 lost
synchronization, throwing 1 bytes away.
19:20:22 kernel: psmouse.c: Mouse at isa0060/serio1/input0 lost
synchronization, throwing 2 bytes away.
20:32:11 kernel: hde: dma_timer_expiry: dma status == 0x20
!!!! NOTE TIME MARK JUMPED BY 1 HOUR !!!!!
20:32:11 kernel: hde: DMA timeout retry
20:32:11 kernel: PDC202XX: Primary channel reset.
20:32:11 kernel: PDC202XX: Secondary channel reset.
20:32:11 kernel: hde: timeout waiting for DMA
!!! NOTE TIME JUMPED BACK !!!!!
19:21:00 kernel: hdg: dma_timer_expiry: dma status == 0x20
19:21:00 kernel: hdg: DMA timeout retry
19:21:00 kernel: PDC202XX: Secondary channel reset.
19:21:00 kernel: PDC202XX: Primary channel reset.
19:21:00 kernel: hdg: set_drive_speed_status: status=0x00 { }
19:21:00 kernel: hdg: timeout waiting for DMA
19:21:00 kernel: hdg: read_intr: status=0x59 { DriveReady SeekComplete
DataRequest Error }
19:21:00 kernel: hdg: read_intr: error=0x04 { DriveStatusError }
19:21:00 kernel: hdg: read_intr: status=0x59 { DriveReady SeekComplete
DataRequest Error }
19:21:00 kernel: hdg: read_intr: error=0x04 { DriveStatusError }
19:21:00 kernel: hdg: read_intr: status=0x59 { DriveReady SeekComplete
DataRequest Error }
19:21:00 kernel: hdg: read_intr: error=0x04 { DriveStatusError }
19:21:00 kernel: hdg: read_intr: status=0x59 { DriveReady SeekComplete
DataRequest Error }
19:21:00 kernel: hdg: read_intr: error=0x04 { DriveStatusError }
20:32:33 kernel: Badness in pdc202xx_reset_host at
drivers/ide/pci/pdc202xx_old.c:599
20:32:33 kernel: Stack pointer is garbage, not printing trace
20:32:33 kernel: Badness in pdc202xx_reset_host at
drivers/ide/pci/pdc202xx_old.c:601
20:32:33 kernel: Stack pointer is garbage, not printing trace
20:32:33 kernel: PDC202XX: Secondary channel reset.
20:32:33 kernel: PDC202XX: Primary channel reset.
20:32:33 kernel: ide3: reset: master: error (0x00?)
20:32:33 kernel: attempt to access beyond end of device
20:32:33 kernel: hdg3: rw=0, want=19867108776, limit=67943232
20:32:33 kernel: attempt to access beyond end of device
(multiple errors like that, skipped)
20:32:34 kernel: hdg3: rw=0, want=19867108776, limit=67943232
19:21:03 kernel: EXT3-fs error (device hdg3): ext3_readdir: bad entry
in directory #1946194: rec_len %% 4 != 0 - offset=0,
inode=2991764050, rec_len=29, name_len=12
19:21:03 kernel: Aborting journal on device hdg3.
19:21:03 kernel: ext3_abort called.
19:21:03 kernel: EXT3-fs abort (device hdg3): ext3_journal_start:
Detected aborted journal
19:21:03 kernel: Remounting filesystem read-only
19:21:03 kernel: EXT3-fs error (device hdg3): ext3_readdir: bad entry
in directory #1046607: rec_len %% 4 != 0 - offset=0,
inode=4165990479, rec_len=15, name_len=12
19:21:44 shutdown: shutting down for system reboot
19:26:30 init: Switching to runlevel: 6
...



Version-Release number of selected component (if applicable):
2.6.8-1.521 and 2.6.7-1.494.2.2

How reproducible:
Always

Steps to Reproduce:
1.start heavi i/o process on the harddisk attached to promise card
2.watch /var/log/messages
3.
    

Actual Results:  computer becomes non-responcive, mouse may dissapear
and reappear, etc...
You will get corrupted files if you do some writing.

Expected Results:  should work

Additional info:

This is on 2XAthlonMP, Tyan S2460 Bios1.05,  Promise PDC20267 with chipset
revision 2:
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hdc: MAXTOR 6L040L2, ATA DISK drive
ide1 at 0x170-0x177,0x376 on irq 15
PDC20267: IDE controller at PCI slot 0000:00:08.0
PDC20267: chipset revision 2
PDC20267: 100%% native mode on irq 5
PDC20267: (U)DMA Burst Bit ENABLED Primary PCI Mode Secondary PCI Mode.
ide2: BM-DMA at 0x1080-0x1087, BIOS settings: hde:DMA, hdf:pio
ide3: BM-DMA at 0x1088-0x108f, BIOS settings: hdg:DMA, hdh:pio
hde: WDC WD1200JB-00DUA3, ATA DISK drive
ide2 at 0x1428-0x142f,0x1422 on irq 5
hdg: MAXTOR 6L040J2, ATA DISK drive
ide3 at 0x1418-0x141f,0x1416 on irq 5
Comment 1 Dmitri A. Sergatskov 2004-08-24 17:20:03 EDT
Created attachment 103042 [details]
/var/log/messages from the boot into 2.6.7 kernel through the crash (gzipped)

Please note that the time mark goes up and down by few hours (the whole thing
took
few minutes). Perhaps a bug in syslog as well?
Comment 2 Dave Jones 2005-04-16 02:13:40 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.